#
# spec file for package xmore
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xmore
Version:        1.0.3
Release:        bp154.1.19
Summary:        Plain text display utility for X
License:        MIT
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
xmore is a plain text browser.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README.md
%{_bindir}/xmore
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/XMore
%{_mandir}/man1/xmore.1%{?ext_man}

%changelog
* Fri Dec  3 2021 Dirk Müller <dmueller@suse.com>
- modernize spec file (move license to licensedir)
* Mon Mar  4 2019 Fabian Baumanis <fabian.baumanis@suse.com>
- Update to version 1.0.3
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
  * autogen.sh: Honor NOCONFIGURE=1
  * autogen.sh: use quoted string variables
  * config: use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS
  * config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
  * config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
  * config: move man pages into their own directory
  * configure: Drop AM_MAINTAINER_MODE
  * Update configure.ac bug URL for gitlab migration
  * Update README for gitlab migration
  * man: remove trailing spaces and tabs
  * man page: add __xorgversion__ which was just missing.
  * Change xmore DocBook XML file extension from .sgml to .xml
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xmore from xorg-x11. Initial version: 1.0.2.
